Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.strutturaaltaspecialita.vo.elencostrutturaaltaspec
Class StrutturaAltaSpecResponse

    java.lang.Object
      it.svimservice.nsisr.web.ws.strutturaaltaspecialita.vo.elencostrutturaaltaspec.StrutturaAltaSpecResponse

    public class StrutturaAltaSpecResponse

extends java.lang.Object

Field Summary
`private java.lang.String` | `codice` Codice, elemento obbligatorio.
`private java.lang.String` | `codISTAT` Codice ISTAT del comune della sede, elemento obbligatorio.
`private java.lang.String` | `indirizzo` Indirizzo della sede, elemento obbligatorio.
`private java.lang.String` | `nome` Denominazione, elemento obbligatorio.
`private java.lang.String` | `riconosciutaDM290192` Specifica se la struttura e riconosciuta secondo il D.M. 29 Gennaio 1992, elemento obbligatorio.
`private java.lang.String` | `tipo` Specifica la tipologia della struttura, elemento obbligatorio.

Constructor Summary
`StrutturaAltaSpecResponse()`

Method Summary
`java.lang.String` | `getCodice()`
`java.lang.String` | `getCodISTAT()`
`java.lang.String` | `getIndirizzo()`
`java.lang.String` | `getNome()`
`java.lang.String` | `getRiconosciutaDM290192()`
`java.lang.String` | `getTipo()`
`void` | `setCodice(java.lang.String codice)`
`void` | `setCodISTAT(java.lang.String codISTAT)`
`void` | `setIndirizzo(java.lang.String indirizzo)`
`void` | `setNome(java.lang.String nome)`
`void` | `setRiconosciutaDM290192(java.lang.String riconosciutaDM290192)`
`void` | `setTipo(java.lang.String tipo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codice

    private java.lang.String codice

  Codice, elemento obbligatorio.

### nome

    private java.lang.String nome

  Denominazione, elemento obbligatorio.

### tipo

    private java.lang.String tipo

  Specifica la tipologia della struttura, elemento obbligatorio. Puņ assumere uno dei seguenti valori:
  - REPARTO OSPEDALIERO
  - ISTITUTO DI RICOVERO
  - AMBULATORIO SPECIALISTICO
  - PRESIDIO PRIVATO ACCREDITATO

### riconosciutaDM290192

    private java.lang.String riconosciutaDM290192

  Specifica se la struttura e riconosciuta secondo il D.M. 29 Gennaio 1992, elemento obbligatorio.

### codISTAT

    private java.lang.String codISTAT

  Codice ISTAT del comune della sede, elemento obbligatorio.

### indirizzo

    private java.lang.String indirizzo

  Indirizzo della sede, elemento obbligatorio.

Constructor Detail

### StrutturaAltaSpecResponse

    public StrutturaAltaSpecResponse()

Method Detail

### getCodice

    public java.lang.String getCodice()

### setCodice

    public void setCodice(java.lang.String codice)

### getNome

    public java.lang.String getNome()

### setNome

    public void setNome(java.lang.String nome)

### getTipo

    public java.lang.String getTipo()

### setTipo

    public void setTipo(java.lang.String tipo)

### getRiconosciutaDM290192

    public java.lang.String getRiconosciutaDM290192()

### setRiconosciutaDM290192

    public void setRiconosciutaDM290192(java.lang.String riconosciutaDM290192)

### getCodISTAT

    public java.lang.String getCodISTAT()

### setCodISTAT

    public void setCodISTAT(java.lang.String codISTAT)

### getIndirizzo

    public java.lang.String getIndirizzo()

### setIndirizzo

    public void setIndirizzo(java.lang.String indirizzo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD